Upstream information

CVE-2020-13935 at MITRE

Description

The payload length in a WebSocket frame was not correctly validated in Apache Tomcat 10.0.0-M1 to 10.0.0-M6, 9.0.0.M1 to 9.0.36, 8.5.0 to 8.5.56 and 7.0.27 to 7.0.104. Invalid payload lengths could trigger an infinite loop. Multiple requests with invalid payload lengths could lead to a denial of service.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 7.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1174117 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • tomcat >= 9.0.36-3.65.2
  • tomcat-admin-webapps >= 9.0.36-3.65.2
  • tomcat-el-3_0-api >= 9.0.36-3.65.2
  • tomcat-jsp-2_3-api >= 9.0.36-3.65.2
  • tomcat-lib >= 9.0.36-3.65.2
  • tomcat-servlet-4_0-api >= 9.0.36-3.65.2
  • tomcat-webapps >= 9.0.36-3.65.2
Patchnames:
SUSE-SLE-Product-HPC-15-2020-2045
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • tomcat >= 9.0.36-4.41.2
  • tomcat-docs-webapp >= 9.0.36-4.41.2
  • tomcat-embed >= 9.0.36-4.41.2
  • tomcat-javadoc >= 9.0.36-4.41.2
  • tomcat-jsvc >= 9.0.36-4.41.2
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-2046
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • tomcat >= 9.0.36-3.6.1
  • tomcat-docs-webapp >= 9.0.36-3.6.1
  • tomcat-embed >= 9.0.36-3.6.1
  • tomcat-javadoc >= 9.0.36-3.6.1
  • tomcat-jsvc >= 9.0.36-3.6.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2020-2047
SUSE Linux Enterprise Module for Web Scripting 15 SP1
  • tomcat >= 9.0.36-4.41.2
  • tomcat-admin-webapps >= 9.0.36-4.41.2
  • tomcat-el-3_0-api >= 9.0.36-4.41.2
  • tomcat-jsp-2_3-api >= 9.0.36-4.41.2
  • tomcat-lib >= 9.0.36-4.41.2
  • tomcat-servlet-4_0-api >= 9.0.36-4.41.2
  • tomcat-webapps >= 9.0.36-4.41.2
Patchnames:
SUSE-SLE-Module-Web-Scripting-15-SP1-2020-2046
SUSE Linux Enterprise Module for Web Scripting 15 SP2
  • tomcat >= 9.0.36-3.6.1
  • tomcat-admin-webapps >= 9.0.36-3.6.1
  • tomcat-el-3_0-api >= 9.0.36-3.6.1
  • tomcat-jsp-2_3-api >= 9.0.36-3.6.1
  • tomcat-lib >= 9.0.36-3.6.1
  • tomcat-servlet-4_0-api >= 9.0.36-3.6.1
  • tomcat-webapps >= 9.0.36-3.6.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-15-SP2-2020-2047
SUSE Linux Enterprise Server 12 SP4-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP4-ESPOS
  • tomcat >= 9.0.36-3.45.1
  • tomcat-admin-webapps >= 9.0.36-3.45.1
  • tomcat-docs-webapp >= 9.0.36-3.45.1
  • tomcat-el-3_0-api >= 9.0.36-3.45.1
  • tomcat-javadoc >= 9.0.36-3.45.1
  • tomcat-jsp-2_3-api >= 9.0.36-3.45.1
  • tomcat-lib >= 9.0.36-3.45.1
  • tomcat-servlet-4_0-api >= 9.0.36-3.45.1
  • tomcat-webapps >= 9.0.36-3.45.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-ESPOS-2020-2037
SUSE Linux Enterprise Server 12 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP4-LTSS
  • tomcat >= 9.0.36-3.45.1
  • tomcat-admin-webapps >= 9.0.36-3.45.1
  • tomcat-docs-webapp >= 9.0.36-3.45.1
  • tomcat-el-3_0-api >= 9.0.36-3.45.1
  • tomcat-javadoc >= 9.0.36-3.45.1
  • tomcat-jsp-2_3-api >= 9.0.36-3.45.1
  • tomcat-lib >= 9.0.36-3.45.1
  • tomcat-servlet-4_0-api >= 9.0.36-3.45.1
  • tomcat-webapps >= 9.0.36-3.45.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-LTSS-2020-2037
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • tomcat >= 9.0.36-3.45.1
  • tomcat-admin-webapps >= 9.0.36-3.45.1
  • tomcat-docs-webapp >= 9.0.36-3.45.1
  • tomcat-el-3_0-api >= 9.0.36-3.45.1
  • tomcat-javadoc >= 9.0.36-3.45.1
  • tomcat-jsp-2_3-api >= 9.0.36-3.45.1
  • tomcat-lib >= 9.0.36-3.45.1
  • tomcat-servlet-4_0-api >= 9.0.36-3.45.1
  • tomcat-webapps >= 9.0.36-3.45.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-2037
SUSE Linux Enterprise Server 15-LTSS
  • tomcat >= 9.0.36-3.65.2
  • tomcat-admin-webapps >= 9.0.36-3.65.2
  • tomcat-el-3_0-api >= 9.0.36-3.65.2
  • tomcat-jsp-2_3-api >= 9.0.36-3.65.2
  • tomcat-lib >= 9.0.36-3.65.2
  • tomcat-servlet-4_0-api >= 9.0.36-3.65.2
  • tomcat-webapps >= 9.0.36-3.65.2
Patchnames:
SUSE-SLE-Product-SLES-15-2020-2045
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • tomcat >= 9.0.36-3.45.1
  • tomcat-admin-webapps >= 9.0.36-3.45.1
  • tomcat-docs-webapp >= 9.0.36-3.45.1
  • tomcat-el-3_0-api >= 9.0.36-3.45.1
  • tomcat-javadoc >= 9.0.36-3.45.1
  • tomcat-jsp-2_3-api >= 9.0.36-3.45.1
  • tomcat-lib >= 9.0.36-3.45.1
  • tomcat-servlet-4_0-api >= 9.0.36-3.45.1
  • tomcat-webapps >= 9.0.36-3.45.1
Patchnames:
SUSE-SLE-SAP-12-SP4-2020-2037
SUSE Linux Enterprise Server for SAP Applications 15
  • tomcat >= 9.0.36-3.65.2
  • tomcat-admin-webapps >= 9.0.36-3.65.2
  • tomcat-el-3_0-api >= 9.0.36-3.65.2
  • tomcat-jsp-2_3-api >= 9.0.36-3.65.2
  • tomcat-lib >= 9.0.36-3.65.2
  • tomcat-servlet-4_0-api >= 9.0.36-3.65.2
  • tomcat-webapps >= 9.0.36-3.65.2
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2020-2045
SUSE OpenStack Cloud 9
  • tomcat >= 9.0.36-3.45.1
  • tomcat-admin-webapps >= 9.0.36-3.45.1
  • tomcat-docs-webapp >= 9.0.36-3.45.1
  • tomcat-el-3_0-api >= 9.0.36-3.45.1
  • tomcat-javadoc >= 9.0.36-3.45.1
  • tomcat-jsp-2_3-api >= 9.0.36-3.45.1
  • tomcat-lib >= 9.0.36-3.45.1
  • tomcat-servlet-4_0-api >= 9.0.36-3.45.1
  • tomcat-webapps >= 9.0.36-3.45.1
Patchnames:
SUSE-OpenStack-Cloud-9-2020-2037
SUSE OpenStack Cloud Crowbar 9
  • tomcat >= 9.0.36-3.45.1
  • tomcat-admin-webapps >= 9.0.36-3.45.1
  • tomcat-docs-webapp >= 9.0.36-3.45.1
  • tomcat-el-3_0-api >= 9.0.36-3.45.1
  • tomcat-javadoc >= 9.0.36-3.45.1
  • tomcat-jsp-2_3-api >= 9.0.36-3.45.1
  • tomcat-lib >= 9.0.36-3.45.1
  • tomcat-servlet-4_0-api >= 9.0.36-3.45.1
  • tomcat-webapps >= 9.0.36-3.45.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2020-2037
openSUSE Leap 15.1
  • tomcat >= 9.0.36-lp151.3.27.1
  • tomcat-admin-webapps >= 9.0.36-lp151.3.27.1
  • tomcat-docs-webapp >= 9.0.36-lp151.3.27.1
  • tomcat-el-3_0-api >= 9.0.36-lp151.3.27.1
  • tomcat-embed >= 9.0.36-lp151.3.27.1
  • tomcat-javadoc >= 9.0.36-lp151.3.27.1
  • tomcat-jsp-2_3-api >= 9.0.36-lp151.3.27.1
  • tomcat-jsvc >= 9.0.36-lp151.3.27.1
  • tomcat-lib >= 9.0.36-lp151.3.27.1
  • tomcat-servlet-4_0-api >= 9.0.36-lp151.3.27.1
  • tomcat-webapps >= 9.0.36-lp151.3.27.1
Patchnames:
openSUSE-2020-1102
openSUSE Leap 15.2
  • tomcat >= 9.0.36-lp152.2.4.1
  • tomcat-admin-webapps >= 9.0.36-lp152.2.4.1
  • tomcat-docs-webapp >= 9.0.36-lp152.2.4.1
  • tomcat-el-3_0-api >= 9.0.36-lp152.2.4.1
  • tomcat-embed >= 9.0.36-lp152.2.4.1
  • tomcat-javadoc >= 9.0.36-lp152.2.4.1
  • tomcat-jsp-2_3-api >= 9.0.36-lp152.2.4.1
  • tomcat-jsvc >= 9.0.36-lp152.2.4.1
  • tomcat-lib >= 9.0.36-lp152.2.4.1
  • tomcat-servlet-4_0-api >= 9.0.36-lp152.2.4.1
  • tomcat-webapps >= 9.0.36-lp152.2.4.1
Patchnames:
openSUSE-2020-1111


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Business Critical Linux 12 SP2 tomcat Affected
SUSE Business Critical Linux 12 SP3 tomcat Affected
SUSE Linux Enterprise High Performance Computing 12 tomcat Released
SUSE Linux Enterprise High Performance Computing ESPOS 15 GA tomcat Released
SUSE Linux Enterprise High Performance Computing LTSS 15 GA tomcat Released
SUSE Linux Enterprise Module for Web and Scripting 15 tomcat Released
SUSE Linux Enterprise Server 11 SP1 tomcat6 Not affected
SUSE Linux Enterprise Server 11 SP1 LTSS tomcat6 Not affected
SUSE Linux Enterprise Server 11 SP2 tomcat6 Not affected
SUSE Linux Enterprise Server 11 SP2 LTSS tomcat6 Not affected
SUSE Linux Enterprise Server 11 SP3 tomcat6 Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS tomcat6 Not affected
SUSE Linux Enterprise Server 11 SP4 tomcat6 Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS tomcat6 Not affected
SUSE Linux Enterprise Server 12 GA tomcat Unsupported
SUSE Linux Enterprise Server 12 GA LTSS tomcat Unsupported
SUSE Linux Enterprise Server 12 SP1 tomcat Unsupported
SUSE Linux Enterprise Server 12 SP1 LTSS tomcat Unsupported
SUSE Linux Enterprise Server 12 SP2 tomcat Affected
SUSE Linux Enterprise Server 12 SP2 LTSS tomcat Affected
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI tomcat Affected
SUSE Linux Enterprise Server 12 SP3 tomcat Affected
SUSE Linux Enterprise Server 12 SP3 LTSS tomcat Affected
SUSE Linux Enterprise Server 12 SP4 tomcat Affected
SUSE Linux Enterprise Server 12 SP4 LTSS tomcat Released
SUSE Linux Enterprise Server 12 SP5 tomcat Released
SUSE Linux Enterprise Server 15 GA LTSS tomcat Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 tomcat6 Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP2 tomcat6 Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 tomcat6 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 GA tomcat Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP2 tomcat Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 tomcat Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 tomcat Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 tomcat Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 tomcat6 Not affected
SUSE Linux Enterprise Server for VMWare 11 SP2 tomcat6 Not affected
SUSE Linux Enterprise Server for VMWare 11 SP3 tomcat6 Not affected
SUSE Manager Server 1.2 tomcat6 Not affected